package cn.yw.nhyw.nhywjtjzwxxb.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywjtjzwxxbDao")
public class NhywjtjzwxxbDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjtjzwxxb(Map map) throws SQLException{
		this.insert("insert_Nhywjtjzwxxb",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywjtjzwxxb(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjtjzwxxb",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtjzwxxb(Map map) throws SQLException{
		return this.update("update_Nhywjtjzwxxb",map);
	}

	/**
	 * 修改经纬度
	 */
	public Integer updateJtjzwJdWdByXh(Map map) throws SQLException{
		return this.update("updateJtjzwJdWdByXh",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtjzwxxb(Map map) throws SQLException{
		return this.delete("delete_Nhywjtjzwxxb",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywjtjzwxxb(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjtjzwxxb",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjtjzwxxb(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjtjzwxxb",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Nhywjtjzwxxb(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjtjzwxxb",map);
	}

	/**
	 * 加载地图建筑物
	 */
	public List<Map> listNhywjtjzwxxbByLoadMap(Map map) throws SQLException{
		return this.queryForPage("listNhywjtjzwxxbByLoadMap",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywjtjzwxxb(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjtjzwxxb",map);
	}
}
